> For the complete documentation index, see [llms.txt](https://docs.mastersindia.co/eway/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mastersindia.co/eway/cancel-e-way-bill.md).

# Cancel E-Way Bill

### Request Method

POST

### Request Path

```
{{API_URL}}/api/v1/ewayBillCancel/
```

### Request Headers

| Parameter              | Value               | Description                                                   |
| ---------------------- | ------------------- | ------------------------------------------------------------- |
| Authorization/api\_key | api\_key/auth token | Value and header type is mentioned in the Authentication Page |

### Request Body

The request body description for the API can be found [here](https://prepro-router.mastersindia.co/api/v1/redoc/#tag/Eway/operation/cancel_eway_bill_api_v_1_ewayBillCancel__post).

#### Sample Request

```json
{
"userGstin":"XXXXXXXXXXXXXXX",
"eway_bill_number": 361003223321,
"reason_of_cancel": "Others",
"cancel_remark": "Cancelled the order",
"data_source":"erp"
}
```

### Response Body

#### 200 (OK)

The response description for success can be found [here](https://prepro-router.mastersindia.co/api/v1/redoc/#tag/Eway/operation/cancel_eway_bill_api_v_1_ewayBillCancel__post).

#### Sample Response

```json
{
  "results": {
    "message": {
      "ewayBillNo": "301009218802",
      "cancelDate": "15/09/2023 02:40:00 PM",
      "error": false
    },
    "status": "Success",
    "code": 200
  }
}
```

#### 204 (Invalid Parameters)

```json
{
  "results": {
    "message": "312: This eway bill is either not generated by you or cancelled",
    "status": "No Content",
    "code": 204,
    "nic_code": "312"
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersindia.co/eway/cancel-e-way-bill.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
